<!--	cat-charity-sec-->
<section class="cat-charity-sec">
    <div class="container">
        <div class="cw-btn">
            <div class="cc-search">
                <h6>Search for other Charities</h6>

                <div class="form-group">
                    <input type="text" class="form-control" placeholder="Search by Name" [(ngModel)]="search" (keyup)="searchCharity()">
                </div>
                <div class="form-group">
                    <select class="form-control" [(ngModel)]="category_id" (change)="changeCategory()">
                        <!-- <option>Select Category</option> -->
                        <option *ngFor="let category of npoCategories" [value]="category.id"  data-icon="<mat-icon>add</mat-icon>">{{category.category_name}}
                        </option>
                    </select>
                </div>
            </div>
            <h6>Charity Category : {{selectedCategoryInfo?.category_name}}</h6>
        </div>
        <div class="choose-block-wraper">
            <div class="row">
                <ng-container *ngIf="npoList?.length > 0 else noCharityFound">
                    <div class="col-md-3 col-sm-6 col-6"  *ngFor="let npo of npoList" (click)="onRedirectCartItems(npo.id)">
                        <div class="cc-select-cat">
                            <h2>{{npo.organization_name}}</h2>
                        </div>
                    </div>
                </ng-container>
                <ng-template #noCharityFound>
                    <div>
                        <h2>No charity found</h2>
                    </div>
                </ng-template>
            </div>
        </div>
    </div>
</section>
<!--cat-charity-sec-->